measurefs.reiser4(8)

NOM
measurefs.reiser4 - Le programme de mesure des paramètres d'un système de fichiers reiser4 (fragmentation, empilement des nœuds, etc.)

SYNOPSIS
measurefs.reiser4 [ options ] FICHIER

DESCRIPTION
measurefs.reiser4 est un programme qui permet de mesurer un système de fichiers reiser4. En l'utilisant, vous pouvez estimer la fragmentation, l'empilement des structures, etc. d'un système de fichiers.

OPTIONS COMMUNES

-V, --version
    Afficher la version du programme.

-?, -h, --help
    Affiche le message d'aide du programme.

-y, --yes
    Considérer que toutes les question reçoivent une réponse affirmative.

-f, --force
    Forcer measurefs à utiliser un disque entier, au lieu d'un périphérique bloc ou une partition montée.

-c, --cache N
    Définir le nombre de nœud de l'arbre du cache. Ceci affecte le comportement de libreiser4 de façon importante : la vitesse, l'allocation des arbres, etc.

OPTIONS DE MESURE

-S, --tree-stat
    Afficher différentes statistiques des arbres (empilement des nœuds, nœuds internes, feuilles, etc.

-T, --tree-frag
    Mesurer la fragmentation totale de l'arbre. Le résultat est un coefficient de fragmentation, une valeur comprise entre 0,000 00 (la fragmentation minimale) et 1,000 00 (la fragmentation maximale). Très probablement, ce coefficient affectera les lectures séquentielles.

-D, --data-frag
    Mesurer la fragmentation moyenne des fichiers. C'est-à-dire que la fragmentation de chaque fichier sera mesurée séparément pour ensuite obtenir une moyenne. Le résultat est un coefficient de fragmentation, une valeur comprise entre 0,000 00 (la fragmentation minimale) et 1,000 00 (la fragmentation maximale).

    Notez que pour un système de fichier récent et même s'il est rempli de données, cette valeur sera très faible.

-F, --file-frag FICHIER
    Mesurer la fragmentation du fichier indiqué. Le résultat est un quotient de fragmentation allant de la valeur 0.00000 (fragmentation minimale) à 1.00000 (la fragmentation maximale). Notez que la fragmentation d'un petit fichier, qui consiste en des éléments de queue (en fonction de la politique des queues), n'est pas une valeur très fiable. Ceci par ce qu'ils sont toujours déplacés pour l'équilibrage.

    Exemples :

    measurefs.reiser4 -F /usr/bin /dev/hda2
    measurefs.reiser4 -F /bin/bash /dev/hda2

-E, --show-file
    Afficher la fragmentation de chaque fichier si --data-frag est utilisée.

OPTIONS POUR LES GREFFONS

-p, --print-profile
    Afficher le profile des greffons. Il s'agit de l'ensemble des greffons utilisés pour toutes les parties d'un système de fichiers -- le format les nœuds, les fichiers, les répertoires, les tables de hachage, etc. Si --override est utilisée, alors afficher les greffons modifiés.

-l, --print-plugins
    Afficher tous les greffons connus de libreiser4.

-o, --override TYPE=GREFFON, ...
    Remplacer le greffon par défaut pour le type « TYPE » par le greffon « PLUGIN » dans le profile des greffons.

    Exemples :

    measurefs.reiser4 -o nodeptr=nodeptr41,hash=rupasov_hash /dev/hda2

RAPPORT DE BOGUES
Remontez vos bogues à <reiserfs-devel@vger.kernel.org>

VOIR AUSSI
debugfs.reiser4(8), mkfs.reiser4(8), fsck.reiser4(8)

AUTEUR
Cette page de manuel a été écrite par Yury Umanets <umka@namesys.com>

TRADUCTION
La traduction de cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.